Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Class Permissions

    java.lang.Object
      jet.server.api.Permissions

    public class Permissions

extends java.lang.Object

Represent the set of user permissions in JReport server.

Field Summary
`static java.security.acl.Permission` | `P_ACCESS_ADVANCED_PROPERTIES` Represent the permission: access advanced properties
`static java.lang.String` | `P_BROWSER` Deprecated. Indicate the permission Browse: list resources in JReport Enterprise Server.
`static java.lang.String` | `P_CAT_DELETE` Deprecated. Indicate the permission Delete Catalog: delete acatalog in viaWeb Designer.
`static java.lang.String` | `P_CAT_MODIFY` Deprecated. Indicate the permission Modify Catalog: modify a catalog in viaWeb Designer.
`static java.lang.String` | `P_CAT_OPEN` Deprecated. Indicate the permission Open Catalog: open a catalog in viaWeb Designer.
`static java.lang.String` | `P_CAT_RPT_POST` Deprecated. Indicate the permission Post Catalog and Report: upload a catalog.
`static java.security.acl.Permission` | `P_CREATE_ANALYSIS_REPORT` Represent the permission: create analysis report
`static java.security.acl.Permission` | `P_DELETE` Represent the permission: delete
`static java.security.acl.Permission` | `P_DEPLOY_REPORT` Represent the permission: deploy report
`static java.security.acl.Permission` | `P_EXECUTE` Represent the permission: execute
`static java.lang.String` | `P_FONT_POST` Deprecated. Indicate the permission Post Fonts: update a font.
`static java.security.acl.Permission` | `P_GRANT` Represent the permission: grant
`static java.lang.String` | `P_NODE_VISIBLE` Deprecated. Indicate the permission Visible: list resources node's visible or not in JReport Enterprise Server.
`static java.security.acl.Permission` | `P_READ` Represent the permission: read
`static java.lang.String` | `P_RPT_CREATE` Deprecated. Indicate the permission Create Report: create a new report in viaWeb Designer.
`static java.lang.String` | `P_RPT_DELETE` Deprecated. Indicate the permission Delete Report: delete a report in viaWeb Designer.
`static java.lang.String` | `P_RPT_MODIFY` Deprecated. Indicate the permission Modify Report: modify a report in viaWeb Designer.
`static java.lang.String` | `P_RPT_OPEN` Deprecated. Indicate the permission Open Report: open a report in viaWeb Designer.
`static java.lang.String` | `P_RPT_RUN` Deprecated. Indicate the permission Run Report: run a report.
`static java.lang.String` | `P_RST_VIEW` Deprecated. Indicate the permission View Result: view the result of a report.
`static java.security.acl.Permission` | `P_SCHEDULE` Represent the permission: schedule
`static java.lang.String` | `P_SKD_DELETE` Deprecated. Indicate the permission Delete Schedule: delete a schedule.
`static java.lang.String` | `P_SKD_DISABLE` Deprecated. Indicate the permission Disable Schedule: disable a schedule.
`static java.lang.String` | `P_SKD_ENABLE` Deprecated. Indicate the permission Enable Schedule: enable a schedule.
`static java.lang.String` | `P_SKD_EXPORT` Deprecated. Indicate the permission Export Schedule To Script File: export a schedule to a script file.
`static java.lang.String` | `P_SKD_IMPORT` Deprecated. Indicate the permission Import Schedule From Script File: import a schedule frome a script file.
`static java.lang.String` | `P_SKD_POST` Deprecated. Indicate the permission Post Schedule: upload a schedule.
`static java.lang.String` | `P_SKD_STOP` Deprecated. Incicate the permission Stop Schedule: stop a schedule.
`static java.lang.String` | `P_VER_AMOUNT_SET` Deprecated. Indicate the permission Set Version Amount: set version number of the result of a report.
`static java.lang.String` | `P_VER_DELETE` Deprecated. Indicate the permission Delete Version: delete a version of the result of a report.
`static java.lang.String` | `P_VER_VIEW` Deprecated. Indicate the permission View Version: view a version of the result of a report.
`static java.security.acl.Permission` | `P_VISIBLE` Represent the permission: visible
`static java.security.acl.Permission` | `P_WRITE` Represent the permission: write

Constructor Summary
`Permissions()`

Method Summary
`static java.util.Enumeration` | `elements()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### P_BROWSER

    public static final java.lang.String P_BROWSER

  Deprecated. Indicate the permission Browse: list resources in JReport Enterprise Server.

### P_NODE_VISIBLE

    public static final java.lang.String P_NODE_VISIBLE

  Deprecated. Indicate the permission Visible: list resources node's visible or not in JReport Enterprise Server.

### P_CAT_RPT_POST

    public static final java.lang.String P_CAT_RPT_POST

  Deprecated. Indicate the permission Post Catalog and Report: upload a catalog.

### P_FONT_POST

    public static final java.lang.String P_FONT_POST

  Deprecated. Indicate the permission Post Fonts: update a font.

### P_RPT_RUN

    public static final java.lang.String P_RPT_RUN

  Deprecated. Indicate the permission Run Report: run a report.

### P_RST_VIEW

    public static final java.lang.String P_RST_VIEW

  Deprecated. Indicate the permission View Result: view the result of a report.

### P_SKD_POST

    public static final java.lang.String P_SKD_POST

  Deprecated. Indicate the permission Post Schedule: upload a schedule.

### P_SKD_STOP

    public static final java.lang.String P_SKD_STOP

  Deprecated. Incicate the permission Stop Schedule: stop a schedule.

### P_SKD_DELETE

    public static final java.lang.String P_SKD_DELETE

  Deprecated. Indicate the permission Delete Schedule: delete a schedule.

### P_SKD_ENABLE

    public static final java.lang.String P_SKD_ENABLE

  Deprecated. Indicate the permission Enable Schedule: enable a schedule.

### P_SKD_DISABLE

    public static final java.lang.String P_SKD_DISABLE

  Deprecated. Indicate the permission Disable Schedule: disable a schedule.

### P_SKD_EXPORT

    public static final java.lang.String P_SKD_EXPORT

  Deprecated. Indicate the permission Export Schedule To Script File: export a schedule to a script file.

### P_SKD_IMPORT

    public static final java.lang.String P_SKD_IMPORT

  Deprecated. Indicate the permission Import Schedule From Script File: import a schedule frome a script file.

### P_VER_DELETE

    public static final java.lang.String P_VER_DELETE

  Deprecated. Indicate the permission Delete Version: delete a version of the result of a report.

### P_VER_VIEW

    public static final java.lang.String P_VER_VIEW

  Deprecated. Indicate the permission View Version: view a version of the result of a report.

### P_VER_AMOUNT_SET

    public static final java.lang.String P_VER_AMOUNT_SET

  Deprecated. Indicate the permission Set Version Amount: set version number of the result of a report.

### P_RPT_OPEN

    public static final java.lang.String P_RPT_OPEN

  Deprecated. Indicate the permission Open Report: open a report in viaWeb Designer.

### P_RPT_CREATE

    public static final java.lang.String P_RPT_CREATE

  Deprecated. Indicate the permission Create Report: create a new report in viaWeb Designer.

### P_RPT_MODIFY

    public static final java.lang.String P_RPT_MODIFY

  Deprecated. Indicate the permission Modify Report: modify a report in viaWeb Designer.

### P_RPT_DELETE

    public static final java.lang.String P_RPT_DELETE

  Deprecated. Indicate the permission Delete Report: delete a report in viaWeb Designer.

### P_CAT_OPEN

    public static final java.lang.String P_CAT_OPEN

  Deprecated. Indicate the permission Open Catalog: open a catalog in viaWeb Designer.

### P_CAT_MODIFY

    public static final java.lang.String P_CAT_MODIFY

  Deprecated. Indicate the permission Modify Catalog: modify a catalog in viaWeb Designer.

### P_CAT_DELETE

    public static final java.lang.String P_CAT_DELETE

  Deprecated. Indicate the permission Delete Catalog: delete acatalog in viaWeb Designer.

### P_VISIBLE

    public static final java.security.acl.Permission P_VISIBLE

  Represent the permission: visible

### P_READ

    public static final java.security.acl.Permission P_READ

  Represent the permission: read

### P_WRITE

    public static final java.security.acl.Permission P_WRITE

  Represent the permission: write

### P_EXECUTE

    public static final java.security.acl.Permission P_EXECUTE

  Represent the permission: execute

### P_SCHEDULE

    public static final java.security.acl.Permission P_SCHEDULE

  Represent the permission: schedule

### P_DELETE

    public static final java.security.acl.Permission P_DELETE

  Represent the permission: delete

### P_GRANT

    public static final java.security.acl.Permission P_GRANT

  Represent the permission: grant

### P_CREATE_ANALYSIS_REPORT

    public static final java.security.acl.Permission P_CREATE_ANALYSIS_REPORT

  Represent the permission: create analysis report

### P_DEPLOY_REPORT

    public static final java.security.acl.Permission P_DEPLOY_REPORT

  Represent the permission: deploy report

### P_ACCESS_ADVANCED_PROPERTIES

    public static final java.security.acl.Permission P_ACCESS_ADVANCED_PROPERTIES

  Represent the permission: access advanced properties

Constructor Detail

### Permissions

    public Permissions()

Method Detail

### elements

    public static java.util.Enumeration elements()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD